Bug 135592 - setup /etc/aliases so that useful email gets to someone
setup /etc/aliases so that useful email gets to someone
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gracik
: FutureFeature, Patch, Reopened
: 176767 463864 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-13 13:57 EDT by Bill Peck
Modified: 2013-07-04 08:46 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 06:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pembo13: needinfo-


Attachments (Terms of Use)
Diff for create_user module to enable /etc/aliases and .forward mods in firstboot (5.35 KB, patch)
2006-01-16 16:33 EST, Jarod Wilson
no flags Details | Diff

  None (edit)
Description Bill Peck 2004-10-13 13:57:23 EDT
Description of problem:
First boot prompts the user to create system accounts.  At the same
time I think it would make sense to choose an "admin" account.  Some
account which will get all of roots email.

If no one likes that approach we could just prompt for an email alias
for root.  

I just know from talking to a lot of newbies that they were unaware
that their system would report useful information via email.  Since we
don't want to encourage people logging in as root then we should make
this easy to setup.
Comment 1 Chris Lumens 2005-12-02 14:40:42 EST
The bigger question here is why root is receiving mail in the first place.  Most
people aren't going to check this even if they are aware it exists.  We should
be working on a better way to inform people about what's going on with the
system instead of relying on local mail.
Comment 2 Chris Lumens 2006-01-03 11:57:11 EST
*** Bug 176767 has been marked as a duplicate of this bug. ***
Comment 3 Thomas M Steenholdt 2006-01-04 00:07:09 EST
since a recent bug has been closed as a duplicate of this one, it would probably
make sense to move this one up to "devel" so it does not get lost...

Thanks
Comment 4 Thomas M Steenholdt 2006-01-04 00:08:41 EST
oh, and reopen, imo??
Comment 5 Jarod Wilson 2006-01-09 04:24:41 EST
Notifications via email definitely suck for desktop systems, but they aren't
half bad for servers. I've been making a few additional tweaks per suggestions
on the fedora-devel list to the patches I stashed in 176767, should get them
posted here within the next day or two...
Comment 6 Jarod Wilson 2006-01-16 16:33:19 EST
Created attachment 123267 [details]
Diff for create_user module to enable /etc/aliases and .forward mods in firstboot

A bit tardy getting this out, but here it is (diff against current rawhide
firstboot). All changes are made on the 'create user' page of firstboot. The
attached patch adds a checkbox to allow system email to be forwarded to the
user being created (erroring if its already being forwarded). It also adds a
second checkbox and an input field for forwarding the created user's email to
another email address (which is of course, somewhat dangerous, but users on
fedora-devel were requesting it, so I figured I'd try to scrape it
together...). Some basic (though definitely incomplete) error-checking is done,
I'd not consider this a finished product yet, but rather a basic
proof-of-concept sorta thing...
Comment 7 Craig Routledge 2007-12-16 16:15:51 EST
After reading this bug, bugs #143437 and #176767, and the referenced
mailing-list threads, I can't find any dissenting opinions on introducing this
feature -- just some hesitation over how to implement it.  143437 was CLOSED
DEFERRED.  Why was this one CLOSED NOTABUG?
Comment 8 Jarod Wilson 2008-09-30 17:01:41 EDT
Two-plus years later, and root still gets useful mail on a daily basis... Rather than wait another two years or more for a better way to inform users about things going on on their system that still get mailed, what say we reconsider doing something like this, coupled with the changes in bug 143437? Hell, I'll even forward-port my old patch... :)
Comment 9 Chris Lumens 2008-10-01 09:59:08 EDT
Perhaps we can combine this with the idea of setting up the created user in sudoers by default as well.  So we have some sort of multi-purpose "make this person the admin!" checkbox that sets up all sorts of things.

I still don't think they're going to know they should be checking their local workstation mail, though.
Comment 10 Bill Peck 2008-10-01 10:03:39 EDT
> I still don't think they're going to know they should be checking their local
> workstation mail, though.

install a mail notifier applet as well?
Comment 11 Jarod Wilson 2008-10-01 10:10:23 EDT
(In reply to comment #9)
> Perhaps we can combine this with the idea of setting up the created user in
> sudoers by default as well.  So we have some sort of multi-purpose "make this
> person the admin!" checkbox that sets up all sorts of things.

That could certainly be done.

> I still don't think they're going to know they should be checking their local
> workstation mail, though.

The original patch actually includes the ability to let the user specify an
external email account they want the mail forwarded to as well. Or what Bill said.
Comment 12 Arthur Pemberton 2008-10-01 13:57:19 EDT
*** Bug 463864 has been marked as a duplicate of this bug. ***
Comment 13 Arthur Pemberton 2008-10-01 14:04:55 EDT
A mail alert applet would be nice, but should be left up to each desktop (Gnome, KDE, XFCE) group to do.

At this point it seems like a matter of putting the pieces together. If someone has something I can test out, I am willing and waiting.
Comment 14 Jarod Wilson 2009-06-18 11:09:31 EDT
(In reply to comment #11)
> (In reply to comment #9)
> > Perhaps we can combine this with the idea of setting up the created user in
> > sudoers by default as well.  So we have some sort of multi-purpose "make this
> > person the admin!" checkbox that sets up all sorts of things.
> 
> That could certainly be done.
> 
> > I still don't think they're going to know they should be checking their local
> > workstation mail, though.
> 
> The original patch actually includes the ability to let the user specify an
> external email account they want the mail forwarded to as well. Or what Bill
> said.  

Chris, any objection to me just going ahead and throwing the patch in comment #6 (forward-ported as necessary) into firstboot in F12 rawhide, and then extending it to include a 'make me an admin' checkbox? I figure its early enough we can still back it out if its a complete train wreck...
Comment 15 Arthur Pemberton 2009-11-07 18:34:53 EST
Any reason we can't install ssmtp (92 kB) and configure it on firstboot?
Comment 16 Arthur Pemberton 2010-05-08 02:22:59 EDT
Pinging for updated information on this bug
Comment 17 Martin Gracik 2010-05-14 09:31:43 EDT
Hi, I took over firstboot from Chris.

I'm going over the comments here, and there's one thing. Lot of people want firstboot to use system-config-users for creating users, and I think it will be better too. So let me first workout that approach, then we will see what is possible, and what's not with these emails.

But for now, I don't like the email forwarding thing. Because as a beginner I would not know what to expect from that, what kind of emails will I get? What to do if I don't want them later, if I don't even understand what they mean. I know from my beginnings years ago, that sometimes it's better to have less information, than to have a lot of info, which you don't understand, and usually as a normal user can discard, instead of getting paranoid that there's something wrong with your system.
But as a server admin (for which this is useful), I should be able to set this up myself, without firstboot.

Just my point of view, I'm open to discuss this more.
Comment 18 Nicola Soranzo 2010-05-14 09:55:18 EDT
(In reply to comment #17)
> But for now, I don't like the email forwarding thing. Because as a beginner I
> would not know what to expect from that, what kind of emails will I get? What
> to do if I don't want them later, if I don't even understand what they mean. I
> know from my beginnings years ago, that sometimes it's better to have less
> information, than to have a lot of info, which you don't understand, and
> usually as a normal user can discard, instead of getting paranoid that there's
> something wrong with your system.
> But as a server admin (for which this is useful), I should be able to set this
> up myself, without firstboot.

Hi Martin,
there is important information also for beginners which is sent by email to root by default, e.g. SMART health status of disks by smartd.
Comment 19 Arthur Pemberton 2010-05-14 15:40:37 EDT
(In reply to comment #17)
> But for now, I don't like the email forwarding thing. Because as a beginner I
> would not know what to expect from that, what kind of emails will I get? What
> to do if I don't want them later, if I don't even understand what they mean.

As a beginner, you are probably not using Fedora. If you are, a small, informational email is not going to scare you.

> I
> know from my beginnings years ago, that sometimes it's better to have less
> information, than to have a lot of info, which you don't understand, and
> usually as a normal user can discard, instead of getting paranoid that there's
> something wrong with your system.

There is very little that can be missed in the standard root emails that would make one paranoid.

> But as a server admin (for which this is useful), I should be able to set this
> up myself, without firstboot.

I think a desktop user should be able to get the useful information summaries. Windows has its event viewer thingy, and while we do not have such, the root emails are the closest thing to that.

> Just my point of view, I'm open to discuss this more.    

Fair enough.
Comment 20 Martin Gracik 2010-07-22 04:36:49 EDT
Hello, so back to this problem.
In new firstboot, the user creation screen has an Advanced button, which opens up system-config-users, to allow some advanced user creation control (group, UIDs, etc.). It's just the beginning. In the future I will be concentrating on making firstboot use JUST the system-config-users tool, thus removing the firstboot's own user creating algorithms.
So I think, this proposal should be made for system-config-users to allow the user to get the system information?
Comment 21 Daniel Walsh 2010-08-26 07:58:55 EDT
setroubleshoot and other tools have the ability to send mail also.  SELinux alerts being forwarded to a centralized site for example.  It would be cool if we could plugin into this optional email account to send our messages.
Comment 22 Arthur Pemberton 2010-08-27 12:25:40 EDT
(In reply to comment #21)
> setroubleshoot and other tools have the ability to send mail also.  SELinux
> alerts being forwarded to a centralized site for example.  It would be cool if
> we could plugin into this optional email account to send our messages.

Without proper setup, these emails are unlikely to reach their destination's inbox. Email from a non properly configured sendmail is almost always marked as spam.
Comment 23 Fedora Admin XMLRPC Client 2011-02-16 10:49:01 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Fedora Admin XMLRPC Client 2011-02-16 11:09:08 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.